@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    code, kbd, pre, samp {
        font-family: inherit !important;
    }
}

.no-scrollbar::-webkit-scrollbar {
    display: none;
}

.no-scrollbar {
    -ms-overflow-style: none; /* IE, Edge */
    scrollbar-width: none; /* Firefox */
}

.my-scroll-container {
    overflow-y: overlay;
    overflow-x: hidden;
    scrollbar-width: thin;
    scrollbar-color: rgba(0,0,0,0.3) transparent;
}

.my-scroll-container::-webkit-scrollbar {
    width: 4px;
}
.my-scroll-container::-webkit-scrollbar-track {
    background: transparent;
}
.my-scroll-container::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,0.3);
    border-radius: 2px;
}
.my-scroll-container::-webkit-scrollbar-thumb:hover {
    background-color: rgba(0,0,0,0.5);
}

.tiptap p.is-editor-empty:first-child::before {
    color: #adb5bd;
    content: attr(data-placeholder);
    float: left;
    height: 0;
    pointer-events: none;
}

.ProseMirror {
    white-space: pre-wrap;
    word-break: break-word;
    overflow-wrap: anywhere;
}

/* ios 확대 방지용 */
html.ios .daeryuntalk-wrapper .ProseMirror,
html.ios .daeryuntalk-wrapper [contenteditable="true"] {
  font-size: 16px !important;   /* ✅ 핵심: 자동 확대 방지 */
  line-height: 22px;
}

html.ios .daeryuntalk-wrapper input,
html.ios .daeryuntalk-wrapper textarea,
html.ios .daeryuntalk-wrapper select {
  font-size: 16px !important;   /* ✅ 일반 입력들도 방지 */
  line-height: 22px;
}

@layer components {

    /* Titles */
    .dr_talk_title_large {
        @apply text-[24px] font-bold leading-[auto] tracking-[-0.04em] ;
    }

    .dr_talk_title_medium {
        @apply text-[20px] font-bold leading-[auto] tracking-[-0.04em] ;
    }

    .dr_talk_title_small {
        @apply text-[16px] font-bold leading-[140%] tracking-[-0.04em] ;
    }

    /* Subtitles */
    .dr_talk_subtitle_medium {
        @apply text-[16px] font-bold leading-[100%] tracking-[-0.04em] ;
    }

    .dr_talk_subtitle_medium2 {
        @apply text-[14px] font-bold leading-[100%] tracking-[-0.04em] ;
    }

    .dr_talk_subtitle_small {
        @apply text-[12px] font-normal leading-[140%] tracking-[-0.04em] ;
    }

    .dr_talk_subtitle_small2 {
        @apply text-[12px] font-normal leading-[100%] tracking-[-0.04em] ;
    }

    /* Body */
    .dr_talk_body_medium {
        @apply text-[16px] font-normal leading-[130%] tracking-[-0.04em] ;
    }

    /* dr_talk_body_medium1 하고 동일 */
    .dr_talk_body_medium2 {
        @apply text-[14px] font-normal leading-[130%] tracking-[-0.04em] ;
    }

    .dr_talk_body_medium3 {
        @apply text-[14px] font-normal leading-[110%] tracking-[-0.04em] ;
    }

    .dr_talk_body_small1 {
        @apply text-[12px] font-normal leading-[140%] tracking-[-0.04em] ;
    }

    .dr_talk_body_small2 {
        @apply text-[12px] font-normal leading-[100%] tracking-[-0.04em] ;
    }

    .daeryuntalk-wrapper button,
    .daeryuntalk-wrapper div,
    .daeryuntalk-wrapper input {
        border-style: solid;
    }

    .daeryuntalk-wrapper input[type='text'] {
        border: 1px solid #d1d5db !important;
        border-radius: 6px !important;
    }

    .daeryuntalk-wrapper input[type='text']:focus,
    .daeryuntalk-wrapper input[type='phone']:focus {
        border: 1px solid #aa1d36 !important;
    }
}



/* 채팅문의 필요 css */
